Retrieve a DTS intermediate CA certificate
Retrieves a DTS intermediate CA certificate.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>dtsCaCertificateId*stringUnique identifier of the DTS root CA certificate.
uuiddtsIntermediateCaCertificateId*stringUnique identifier of the DTS intermediate CA certificate.
uuidDTS intermediate CA certificate retrieved
application/json- response
id*stringUnique identifier for this DTS intermediate CA certificate.
uuidactive*booleanIndicates whether the DTS intermediate CA certificate is active. Activating a certificate does not affect your ability to create or sign subordinate signer certificates: you can build a complete certificate chain while the intermediate CA is inactive. Instead, active certificates are included in the selection process MATTR VII uses when choosing the certificate chain to sign a trusted list (VICAL or RICAL), where MATTR VII prefers the most recently created active certificate at each level of the chain.
certificatePem*stringDTS intermediate CA certificate in PEM format.
certificateFingerprint*stringSHA-256 hash of DTS intermediate CA certificate content.
certificateData*usages?array<>caCertificateId?stringUnique identifier of the DTS root CA certificate used to sign the intermediate certificate.
uuidcurl -X GET "https://example.com/v1/ecosystems/certificates/ca/b0aae560-10e7-4247-8e96-7cdd3578a1e2/intermediate/b0aae560-10e7-4247-8e96-7cdd3578a1e2"{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "active": true, "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172", "certificateData": { "commonName": "example.com", "country": "US", "organisationName": "Example Inc.", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z" }, "usages": [ "VICAL" ], "caCertificateId": "3c667fc8-c92c-4eee-a159-5221f574052e"}How would you rate this page?